//  TCard -    
//
unit cards;

interface

type
  TCard = class
    procedure init;
    function getPIN : string;
    function getMoney : integer;
    function withdraw( howmuch : integer ) : boolean;
    constructor Create;
  private
    pin : string;                //  
    money : integer;             //   
  end;

implementation


//  PIN     
procedure TCard.init;
var i : integer;
begin
  pin := '';
  for i := 1 to 4 do begin
    pin := pin + char(ord( '0' )+random( 10 ));
  end;
  money := 100 + random( 5000 );
end;

//    
function TCard.getMoney : integer;
begin
  getMoney := money;
end;

//   
function TCard.getPIN : string;
begin
  getPIN := pin;
end;

//  
function TCard.withdraw( howmuch : integer ) : boolean;
begin
  if howmuch > money then
      withdraw := false
  else begin
      money := money - howmuch;
      withdraw := true;
  end;
end;

// 
constructor TCard.Create;
begin
  init;
end;

end.
