//   
//
unit bnk;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, automats;

type
  TBankomatForm = class(TForm)
    btn_1: TButton;                   //    : 8 
    btn_2: TButton;
    btn_3: TButton;
    btn_4: TButton;
    btn_5: TButton;
    btn_6: TButton;
    btn_7: TButton;
    btn_8: TButton;
    digit_1: TButton;                 //    : 10 
    digit_2: TButton;
    digit_3: TButton;
    digit_4: TButton;
    digit_5: TButton;
    digit_6: TButton;
    digit_7: TButton;
    digit_8: TButton;
    digit_9: TButton;
    digit_0: TButton;
    eject: TButton;                   // 
    cancel: TButton;                  // 
    enter: TButton;                   // 
    Memo1: TMemo;                     // 
    card_hole: TImage;                //    
    card: TImage;                     //  
    t0: TTimer;                       //  
    CardTimer: TTimer;                //   
    money_hole: TImage;               //    
    money: TImage;                    //  
    Label1: TLabel;                   //   PIN-    
    MoneyTimer: TTimer;               //   
    receipt_hole: TImage;             //    
    receipt: TImage;                  //  
    reset: TButton;                   //  
    sh_log: TButton;                  //   
    procedure digit_1Click(Sender: TObject);
    procedure digit_2Click(Sender: TObject);
    procedure digit_3Click(Sender: TObject);
    procedure digit_4Click(Sender: TObject);
    procedure digit_5Click(Sender: TObject);
    procedure digit_6Click(Sender: TObject);
    procedure digit_7Click(Sender: TObject);
    procedure digit_8Click(Sender: TObject);
    procedure digit_9Click(Sender: TObject);
    procedure digit_0Click(Sender: TObject);
    procedure btn_1Click(Sender: TObject);
    procedure btn_2Click(Sender: TObject);
    procedure btn_3Click(Sender: TObject);
    procedure btn_4Click(Sender: TObject);
    procedure btn_5Click(Sender: TObject);
    procedure btn_6Click(Sender: TObject);
    procedure btn_7Click(Sender: TObject);
    procedure btn_8Click(Sender: TObject);
    procedure ejectClick(Sender: TObject);
    procedure cancelClick(Sender: TObject);
    procedure enterClick(Sender: TObject);
    procedure t0Timer(Sender: TObject);
    procedure cardClick(Sender: TObject);
    procedure CardTimerTimer(Sender: TObject);
    procedure moneyClick(Sender: TObject);
    procedure MoneyTimerTimer(Sender: TObject);
    procedure receiptClick(Sender: TObject);
    procedure resetClick(Sender: TObject);
    procedure sh_logClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
    aut : TAutomats;
  public
    { Public declarations }
  end;

var
  BankomatForm: TBankomatForm;

implementation

uses log_unit;

{$R *.DFM}

procedure TBankomatForm.digit_1Click(Sender: TObject);
begin
    aut.A0( 21 );
end;

procedure TBankomatForm.digit_2Click(Sender: TObject);
begin
    aut.A0( 22 );
end;
procedure TBankomatForm.digit_3Click(Sender: TObject);
begin
    aut.A0( 23 );
end;

procedure TBankomatForm.digit_4Click(Sender: TObject);
begin
    aut.A0( 24 );
end;

procedure TBankomatForm.digit_5Click(Sender: TObject);
begin
    aut.A0( 25 );
end;

procedure TBankomatForm.digit_6Click(Sender: TObject);
begin
    aut.A0( 26 );
end;

procedure TBankomatForm.digit_7Click(Sender: TObject);
begin
    aut.A0( 27 );
end;

procedure TBankomatForm.digit_8Click(Sender: TObject);
begin
    aut.A0( 28 );
end;

procedure TBankomatForm.digit_9Click(Sender: TObject);
begin
    aut.A0( 29 );
end;

procedure TBankomatForm.digit_0Click(Sender: TObject);
begin
    aut.A0( 20 );
end;

procedure TBankomatForm.btn_1Click(Sender: TObject);
begin
    aut.A0( 61 );
end;

procedure TBankomatForm.btn_2Click(Sender: TObject);
begin
    aut.A0( 62 );
end;

procedure TBankomatForm.btn_3Click(Sender: TObject);
begin
    aut.A0( 63 );
end;

procedure TBankomatForm.btn_4Click(Sender: TObject);
begin
    aut.A0( 64 );
end;

procedure TBankomatForm.btn_5Click(Sender: TObject);
begin
    aut.A0( 65 );
end;

procedure TBankomatForm.btn_6Click(Sender: TObject);
begin
    aut.A0( 66 );
end;

procedure TBankomatForm.btn_7Click(Sender: TObject);
begin
    aut.A0( 67 );
end;

procedure TBankomatForm.btn_8Click(Sender: TObject);
begin
    aut.A0( 68 );
end;

procedure TBankomatForm.ejectClick(Sender: TObject);
begin
    aut.A0( 3 );
end;

procedure TBankomatForm.cancelClick(Sender: TObject);
begin
    aut.A0( 4 );
end;

procedure TBankomatForm.enterClick(Sender: TObject);
begin
    aut.A0( 5 );
end;

//   
procedure TBankomatForm.t0Timer(Sender: TObject);
begin
    // :   
    if insert_card and not extract_card then begin
      if card.Height > 20 then
        card.Height := card.Height - 10
      else begin
        card.Visible := false;
        insert_card := false;
      end;
    end;
    // :  
    if extract_card then begin
      if card.Height < 95 then begin
        card.Visible := true;
        card.Height := card.Height + 10;
      end else begin
        card.Height := 109;
        extract_card := false;
      end;
    end;
    // :  
    if drawout_money and not drawin_money then begin
      if money.Height < 65 then begin
        money.Height := money.Height + 8;
      end else begin
        money.Height := 73;
        drawout_money := false;
      end;
    end;
    // :  
    if drawin_money then begin
      if money.Height > 10 then begin
        money.Height := money.Height - 8;
      end else begin
        money.Height := 0;
        drawin_money := false;
      end;
    end;
    // :  
    if print_receipt then begin
      if receipt.Height = 105 then receipt.Height := 5;
      if receipt.Height < 95 then begin
        receipt.Height := receipt.Height + 10;
      end else begin
        receipt.Height := 105;
        print_receipt := false;
      end;
    end;
    aut.A0( 0 );
end;

//    
procedure TBankomatForm.cardClick(Sender: TObject);
begin
  //     
  if ( aut.y2 = 0 ) and ( aut.y0 = 0 ) then begin
    aut.A2( 1 );
    card.top := 88;
  end;
  //   
  if aut.y2 = 2 then begin
    card.top := 136;
    aut.A2( 81 );
  end;
end;

procedure TBankomatForm.CardTimerTimer(Sender: TObject);
begin
    CardTimer.Enabled := false;
    aut.A2( 82 );
end;

procedure TBankomatForm.moneyClick(Sender: TObject);
begin
    aut.A1( 71 );
    if money.height > 50 then money.Height := 0;
end;

procedure TBankomatForm.MoneyTimerTimer(Sender: TObject);
begin
    MoneyTimer.Enabled := false;
    aut.A1( 72 );
end;

procedure TBankomatForm.receiptClick(Sender: TObject);
begin
  receipt.Height := 0;
  print_receipt := false;
end;

procedure TBankomatForm.resetClick(Sender: TObject);
begin
  aut.card.init;
  aut.card_info.Caption := 'PIN- :  ' + aut.card.getPIN + #13 +
                       ':     ' + IntToStr(aut.card.getMoney);
  receipt.Height := 0;
  card.Height := 109;
  card.Visible := true;
  card.Top := 136;
  money.Height := 0;
  aut.y0 := 0;
  aut.y1 := 0;
  aut.y2 := 0;
  insert_card       := false;
  extract_card      := false;
  print_receipt     := false;
  drawout_money     := false;
  drawin_money      := false;
  receipt_requested := false;
  requested_money := 0;

  aut.z100;
end;

procedure TBankomatForm.sh_logClick(Sender: TObject);
begin
  Log.Show;
end;

procedure TBankomatForm.FormShow(Sender: TObject);
begin
  aut := TAutomats.Create(Memo1.Lines);
  aut.card_timer  := CardTimer;
  aut.money_timer := MoneyTimer;
  aut.card_info   := Label1;

  aut.card.init;
  aut.card_info.Caption := 'PIN- :  ' + aut.card.getPIN + #13 +
                       ':     ' + IntToStr(aut.card.getMoney);
  receipt.Height := 0;
  aut.z100;
end;

end.
